# SOME DESCRIPTIVE TITLE.
# This file is put in the public domain.
# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
#
#, fuzzy
msgid ""
msgstr ""
"Project-Id-Version: gst-validate 1.5.2\n"
"Report-Msgid-Bugs-To: http://bugzilla.gnome.org/\n"
"POT-Creation-Date: 2015-06-24 17:37+0200\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
"Language: \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=CHARSET\n"
"Content-Transfer-Encoding: 8bit\n"

#: gst/validate/gst-validate-report.c:171
msgid "buffer was received before a segment"
msgstr ""

#: gst/validate/gst-validate-report.c:172
msgid "in push mode, a segment event must be received before a buffer"
msgstr ""

#: gst/validate/gst-validate-report.c:174
msgid "buffer is out of the segment range"
msgstr ""

#: gst/validate/gst-validate-report.c:175
msgid ""
"buffer being pushed is out of the current segment's start-stop  range. "
"Meaning it is going to be discarded downstream without any use"
msgstr ""

#: gst/validate/gst-validate-report.c:179
msgid "buffer timestamp is out of the received buffer timestamps' range"
msgstr ""

#: gst/validate/gst-validate-report.c:180
msgid ""
"a buffer leaving an element should have its timestamps in the range of the "
"received buffers timestamps. i.e. If an element received buffers with "
"timestamps from 0s to 10s, it can't push a buffer with with a 11s timestamp, "
"because it doesn't have data for that"
msgstr ""

#: gst/validate/gst-validate-report.c:185
msgid "Received buffer does not correspond to wanted one."
msgstr ""

#: gst/validate/gst-validate-report.c:186
msgid ""
"When checking playback of a file against a MediaInfo file all buffers coming "
"into the decoders might be checked and should have the exact expected "
"metadatas and hash of the content"
msgstr ""

#: gst/validate/gst-validate-report.c:191
msgid "flow return from pad push doesn't match expected value"
msgstr ""

#: gst/validate/gst-validate-report.c:192
msgid ""
"flow return from a 1:1 sink/src pad element is as simple as returning what "
"downstream returned. For elements that have multiple src pads, flow returns "
"should be properly combined"
msgstr ""

#: gst/validate/gst-validate-report.c:196
msgid "buffer was received after EOS"
msgstr ""

#: gst/validate/gst-validate-report.c:197
msgid "a pad shouldn't receive any more buffers after it gets EOS"
msgstr ""

#: gst/validate/gst-validate-report.c:199
msgid "GST_FLOW_ERROR returned without posting an ERROR on the bus"
msgstr ""

#: gst/validate/gst-validate-report.c:200
msgid ""
"Element MUST post a GST_MESSAGE_ERROR with GST_ELEMENT_ERROR before "
"returning GST_FLOW_ERROR"
msgstr ""

#: gst/validate/gst-validate-report.c:204
msgid "caps is missing a required field for its type"
msgstr ""

#: gst/validate/gst-validate-report.c:205
msgid ""
"some caps types are expected to contain a set of basic fields. For example, "
"raw video should have 'width', 'height', 'framerate' and 'pixel-aspect-ratio'"
msgstr ""

#: gst/validate/gst-validate-report.c:209
msgid "caps field has an unexpected type"
msgstr ""

#: gst/validate/gst-validate-report.c:210
msgid "some common caps fields should always use the same expected types"
msgstr ""

#: gst/validate/gst-validate-report.c:212
msgid "caps expected field wasn't present"
msgstr ""

#: gst/validate/gst-validate-report.c:213
msgid ""
"a field that should be present in the caps wasn't found. Fields sets on a "
"sink pad caps should be propagated downstream when it makes sense to do so"
msgstr ""

#: gst/validate/gst-validate-report.c:217
msgid "getcaps function isn't proxying downstream fields correctly"
msgstr ""

#: gst/validate/gst-validate-report.c:218
msgid ""
"elements should set downstream caps restrictions on its caps when replying "
"upstream's getcaps queries to avoid upstream sending data in an unsupported "
"format"
msgstr ""

#: gst/validate/gst-validate-report.c:222
msgid "a field in caps has an unexpected value"
msgstr ""

#: gst/validate/gst-validate-report.c:223
msgid "fields set on a sink pad should be propagated downstream via set caps"
msgstr ""

#: gst/validate/gst-validate-report.c:227
msgid "new segment event wasn't propagated downstream"
msgstr ""

#: gst/validate/gst-validate-report.c:228
msgid "segments received from upstream should be pushed downstream"
msgstr ""

#: gst/validate/gst-validate-report.c:230
msgid ""
"a serialized event received should be pushed in the same 'time' as it was "
"received"
msgstr ""

#: gst/validate/gst-validate-report.c:232
msgid ""
"serialized events should be pushed in the same order they are received and "
"serialized with buffers. If an event is received after a buffer with "
"timestamp end 'X', it should be pushed right after buffers with timestamp "
"end 'X'"
msgstr ""

#: gst/validate/gst-validate-report.c:237
msgid ""
"EOS events that are part of the same pipeline 'operation' should have the "
"same seqnum"
msgstr ""

#: gst/validate/gst-validate-report.c:239
#: gst/validate/gst-validate-report.c:246
#: gst/validate/gst-validate-report.c:253
#: gst/validate/gst-validate-report.c:259
msgid ""
"when events/messages are created from another event/message, they should "
"have their seqnums set to the original event/message seqnum"
msgstr ""

#: gst/validate/gst-validate-report.c:244
msgid ""
"FLUSH_START events that are part of the same pipeline 'operation' should "
"have the same seqnum"
msgstr ""

#: gst/validate/gst-validate-report.c:251
msgid ""
"FLUSH_STOP events that are part of the same pipeline 'operation' should have "
"the same seqnum"
msgstr ""

#: gst/validate/gst-validate-report.c:257
msgid ""
"SEGMENT events that are part of the same pipeline 'operation' should have "
"the same seqnum"
msgstr ""

#: gst/validate/gst-validate-report.c:263
msgid ""
"a serialized event received should be pushed in the same order as it was "
"received"
msgstr ""

#: gst/validate/gst-validate-report.c:265
msgid "serialized events should be pushed in the same order they are received."
msgstr ""

#: gst/validate/gst-validate-report.c:268
msgid "a new segment event has different value than the received one"
msgstr ""

#: gst/validate/gst-validate-report.c:269
msgid ""
"when receiving a new segment, an element should push an equivalentsegment "
"downstream"
msgstr ""

#: gst/validate/gst-validate-report.c:272
msgid "received an unexpected flush start event"
msgstr ""

#: gst/validate/gst-validate-report.c:274
msgid "received an unexpected flush stop event"
msgstr ""

#: gst/validate/gst-validate-report.c:276
msgid "received the same caps twice"
msgstr ""

#: gst/validate/gst-validate-report.c:279
msgid "seek event wasn't handled"
msgstr ""

#: gst/validate/gst-validate-report.c:281
msgid "position after a seek is wrong"
msgstr ""

#: gst/validate/gst-validate-report.c:284
msgid "EOS received without segment event before"
msgstr ""

#: gst/validate/gst-validate-report.c:285
msgid ""
"A segment event should always be sent before data flow EOS being some kind "
"of data flow, there is no exception in that regard"
msgstr ""

#: gst/validate/gst-validate-report.c:290
msgid "state change failed"
msgstr ""

#: gst/validate/gst-validate-report.c:293
msgid "resulting file size wasn't within the expected values"
msgstr ""

#: gst/validate/gst-validate-report.c:295
msgid "resulting file duration wasn't within the expected values"
msgstr ""

#: gst/validate/gst-validate-report.c:297
msgid "resulting file wasn't seekable or not seekable as expected"
msgstr ""

#: gst/validate/gst-validate-report.c:299
msgid "resulting file stream profiles didn't match expected values"
msgstr ""

#: gst/validate/gst-validate-report.c:301
msgid "detected tags are different than expected ones"
msgstr ""

#: gst/validate/gst-validate-report.c:303
msgid "the discoverer found a stream that had no stream ID"
msgstr ""

#: gst/validate/gst-validate-report.c:307
msgid "a memory allocation failed during Validate run"
msgstr ""

#: gst/validate/gst-validate-report.c:309
msgid "a gstreamer plugin is missing and prevented Validate from running"
msgstr ""

#: gst/validate/gst-validate-report.c:312
msgid "We got a WARNING message on the bus"
msgstr ""

#: gst/validate/gst-validate-report.c:314
msgid "We got an ERROR message on the bus"
msgstr ""

#: gst/validate/gst-validate-report.c:316
msgid ""
"Query position reported a value superior than what query duration returned"
msgstr ""

#: gst/validate/gst-validate-report.c:319
msgid "Query position reported a value outside of the current expected segment"
msgstr ""

#: gst/validate/gst-validate-report.c:322
msgid "All the actions were not executed before the program stopped"
msgstr ""

#: gst/validate/gst-validate-report.c:324
msgid "The scenario file was malformed"
msgstr ""

#: gst/validate/gst-validate-report.c:326
msgid "The execution of an action did not properly happen"
msgstr ""

#: gst/validate/gst-validate-report.c:328
msgid "An issue happend during the execution of a scenario"
msgstr ""

#: gst/validate/gst-validate-report.c:329
msgid "We got a g_log warning"
msgstr ""

#: gst/validate/gst-validate-report.c:332
msgid "We got a g_log critical issue"
msgstr ""

#: gst/validate/gst-validate-report.c:333
msgid "We got a g_log issue"
msgstr ""
